install

lang en_US.UTF-8
keyboard br
timezone America/Sao_Paulo

network --bootproto=dhcp

rootpw vagrant

unsupported_hardware

selinux --disabled
firewall --disabled

bootloader --location=mbr
text
skipx
zerombr
clearpart --all --initlabel
autopart
auth --enableshadow --passalgo=sha512 --kickstart
firstboot --disabled
eula --agreed
services --enabled=sshd
reboot

user --name=vagrant --plaintext --password vagrant --groups=vagrant,wheel

%packages --nobase --ignoremissing --excludedocs
@core
openssh-clients
sudo
gcc
make
perl
curl
wget
bzip2
patch
nfs-utils
-bluez-utils
-dogtail
-avahi
-aic94xx-firmware
-atmel-firmware
-b43-openfwwf
-bfa-firmware
-ipw*-firmware
-irqbalance
-ivtv-firmware
-iwl*-firmware
-libertas-usb8388-firmware
-ql*-firmware
-rt61pci-firmware
-rt73usb-firmware
-xorg-x11-drv-ati-firmware
-zd1211-firmware
-kudzu
-ivtv-firmware
%end

%post

# sudo
echo "vagrant        ALL=(ALL)       NOPASSWD: ALL" >> /etc/sudoers.d/vagrant
sed -i "s/^.*requiretty/#Defaults requiretty/" /etc/sudoers

yum update -y && yum upgrade -y
yum clean all

%end
